Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# PixelLocatorConcept Struct Template Reference
[PixelLocatorConcept]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename Loc>
struct boost::gil::PixelLocatorConcept< Loc >

GIL's 2-dimensional locator over immutable GIL pixels.

    concept PixelLocatorConcept<RandomAccess2DLocatorConcept Loc> {
        where PixelValueConcept<value_type>;
        where PixelIteratorConcept<x_iterator>;
        where PixelIteratorConcept<y_iterator>;
        where x_coord_t == y_coord_t;

        typename coord_t = x_coord_t;
    };

## Public Member Functions

void | constraints ()

## Public Attributes

Loc | loc

The documentation for this struct was generated from the following file:

- gil_concept.hpp